#!/bin/bash

# FIXME Ignore this file until this comment goes away.

ARCH=`dpkg-architecture -qDEB_BUILD_ARCH`
ARCH_TRIPLET=`dpkg-architecture -qDEB_HOST_MULTIARCH`
DIR=`basename "$PWD"`

rm -rf click
mkdir -p click
mkdir -p click/lib/$ARCH

cp build/manifest.json click/
cp build/telegram.desktop click/
cp -r build/modules/* click/lib/$ARCH_TRIPLET/

cp telegram.json click/
cp telegram.qml click/
cp -r components click/
cp -r images click/
cp -r ui click/

if [ $ARCH = "armhf" ]; then
    echo "Building and installing click package."
    click build ./click
    pkcon install-local *.click
    echo "Done."
else
    echo "Done."
fi
