import QtQuick 2.0
import Ubuntu.Components 1.1
import "TelegramColors.js" as TelegramColors

Page {
    property alias title: header.text
    property alias body: body.children

    head {
        id: head
        contents: TelegramHeader {
            id: header
        }
    }

    Rectangle {
        id: body
        anchors.fill: parent
        // Due to some fancy Page behavior, in fact,
        // this doesn't end up as white anyway..
        color: TelegramColors.page_background
    }
}
