.pragma library

var MILLIS_IN_DAY = 1000 * 60 * 60 * 24;
var MILLIS_IN_WEEK = 7 * MILLIS_IN_DAY;

function format(time) {
    var date = new Date(time);
    var today = new Date();

    var isToday = date.getDate() === today.getDate();
    if (isToday) {
        return Qt.formatTime(date, "hh:mm");
    } else {
        var oneWeekAgo = new Date(today.getTime() - MILLIS_IN_WEEK);
        var isLessThanWeek =
                date.getTime() > oneWeekAgo.getTime() &&
                date.getDate() !== oneWeekAgo.getDate();
        if (isLessThanWeek) {
            return Qt.formatDate(date, "ddd");
        }
    }
    return Qt.formatDate(date, "MMM d");
}
