import QtQuick 2.0

// This component is intented for use in Ubuntu Header content.
Row {
    property alias text: headerText.text
    property alias image: headerImage.source

    id: header
    height: parent.height
    spacing: units.gu(1)

    Image {
        id: headerImage
        width: height
        height: parent.height/2
        anchors.verticalCenter: parent.verticalCenter
        source: Qt.resolvedUrl("../images/ic_ab_logo.png")
    }

    TelegramLabel {
        id: headerText
        anchors.verticalCenter: parent.verticalCenter

        font.pointSize: 12
        font.weight: Font.DemiBold
        text: i18n.tr("Telegram")
    }
}
